/* -*- mode: C++ ; c-basic-offset: 2; indent-tabs-mode: nil -*- */
/*
 * This file allows for SWIG specialization for Java
 */
#if defined(SWIGJAVA)

/* Make all functions and non-constant fields camel-case. */
%rename("%(lowercamelcase)s", %$ismember, %$isvariable, %$not %$hasconsttype) "";
%rename("%(lowercamelcase)s", %$isfunction) "";

%typemap(javapackage) nds;

%javaconst(0);

%include "nds_java_buffer.i"
%include "nds_java_buffers_type.i"
%include "nds_java_channel.i"
%include "nds_java_channel_names_type.i"
%include "nds_java_channels_type.i"

%include "enumsimple.swg"
%include "std_string.i"

%include "nds.i"
%include "jniloader.i"

#endif /* defined(SWIGJAVA) */
